import { Plugin, ToolbarItemType } from '../plugin';
import { Information } from './information';
import { InformationManager } from './information-manager';
export type InformationPluginParams = {
    informations?: Information[];
};
export declare class InformationPlugin extends Plugin<InformationPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private _informationManager?;
    get informationManager(): InformationManager | undefined;
    protected init(): void;
    protected onLoad(): void;
    protected destroy(): void;
}
